CC="i586-elf-gcc"
ASM="nasm -f bin -o"
LD="i586-elf-ld"
LDFLAGS="-e kmain -Ttext 0x1000 -o"
OBJCOPY="i586-elf-objcopy"
OBJFLAGS="-R .note -R .comment -S -O binary"
CFLAGS="-nostdinc -nostdlib -nodefaultlibs"
MKBOOT="./tools/makeboot"

#Assemble Bootloader
${ASM} obj/boot.bin boot/boot.asm

#Compile kernel and modules
${CC} ${CFLAGS} -c kernel/main/kernel32.c -o kernel/obj/kernel32.o
${CC} -ggdb -ffreestanding ${CFLAGS} -c kernel/main/kernel32.c -o kernel.elf

#These don't seem to work.
${CC} ${CFLAGS} -c kernel/src/video.c -o kernel/obj/video.o
${CC} ${CFLAGS} -c kernel/src/ports.c -o kernel/obj/ports.o

#Link
${LD} ${LDFLAGS} obj/kernel.o kernel/obj/*

#Link Incremental
${LD} -i ${LDFLAGS} obj/kernel.o kernel/obj/*

${OBJCOPY} ${OBJFLAGS} obj/kernel.o obj/kernel32.bin

${MKBOOT} boot.img obj/boot.bin obj/kernel32.bin
