#include "../lib/video.h"
#include "../lib/ports.h"

void kcsr_setpos(int x, int y){
	kport_out(0x3D4,14);
	kport_out(0x3D5,x);
	kport_out(0x3D4,15);
	kport_out(0x3D5,y);
}

void kcls(){
	unsigned char *vram = (unsigned char *)0xB8000;
	const long size = 80*25;
	long loop;
	
	for(loop = 0; loop < size; loop++){
		*vram++ = 0x00;
		*vram++ = 0x07;
	}
	kcsr_setpos(0,0);
}

void kprintf(const char *_txt){
	unsigned short offset;
	unsigned long i;
	unsigned char *vram = (unsigned char *)0xB8000;
	
	kport_out(0x3D4,14);
	offset = kport_in(0x3D5) << 8;
	kport_out(0x3D4,15);
	offset |= kport_in(0x3D5);
	
	vram += offset*2;
	
	i = 0;
	while(_txt[i] != 0){
		*vram = _txt[i++];
		vram += 2;
	}
	
	offset += i;
	kport_out(0x3D5,(unsigned char)(offset));
	kport_out(0x3D4,14);
	kport_out(0x3D5,(unsigned char)(offset >> 8));
}
